Subject: bug#59929: [PATCH]: Eglot, request progress notification on server init

From: Danny Freeman <[email-masked]>
Date: Sat, 25 Mar 2023 15:10:20 -0400

Danny Freeman <[email-masked]> writes:

> Another patch for consideration related to the first in this thread,
> I've confirmed that clients can signal to servers that they are willing
> to accept server initiated progress notifications with the client
> capability in the attached patch. 
>
> Note: there is still no server capability for this that can be ignored,
> and the `eglot-report-progress` defcustom remains relevant here. Any
> server initiated progress report will be ignored if
> `eglot-report-progress` is `nil`.
>
> Server will send a `window/workDoneProgress/create` request, but nothing
> needs to be done with it. That request will be followed by the already
> implemented $/progress notifications.
>
> I need to find a server that I can test this with before this patch is
> applied. I will report back in this thread once I've done that.

I think this bug can be closed. It is old and I lost track of it, but
some recent commits in Emacs I think addressed this

- 82523dc621ace104d8f379509a436fcb03c48c26
- 47d8e4b0d3835f5e0b0b6ab76f242ef0aa25bda7

Thank you,
Danny Freeman